CREATE_SHAPEFILES_FROM_SCHEDULE(1)

NAME
create_shapefiles_from_schedule - create shapefiles for each Pass outline form XML schedule files

DESCRIPTION
Open the XML file with the scheduled satellite pass plan, and create shapefiles for each Pass outline assuming the instrument as provided in the INSTRUMENTS dictionary.

usage: create_shapefiles_from_schedule [-h] [-l LOG_CONFIG]

-s [LIST_OF_SATELLITES ...]
    -t TLE_FILEPATH -x XML_FILEPATH [-o OUTPUT_DIR] [-v]

  options:

-h, --help
    show this help message and exit

-l, --log-config LOG_CONFIG
    Log config file to use instead of the standard logging.

-s, --satellites [LIST_OF_SATELLITES ...]
    Complete file path to the TLE file to use.

-t, --tle_filename TLE_FILEPATH
    Complete file path to the TLE file to use.

-x, --xml_filename XML_FILEPATH
    Complete path to the XML satellite schedule file.

-o, --output_dir OUTPUT_DIR
    Complete path to the XML satellite schedule file.

-v, --verbose
    Verbosity (between 1 and 2 occurrences with more leading to more verbose logging). WARN=0, INFO=1, DEBUG=2. This is overridden by the log config file if specified.